# Supplier payments: Bimp API methods

URL: https://bimpsoft.com/en/help/developers/api-reference/payment-to-supplier/

Bimp API methods for the “Supplier payments” resource (`/org2/paymentToSupplier/…`): 5 methods. Base URL: `https://app.bimpsoft.com`. All requests except login pass the company token in the `access-token` header — see [Getting started with the API](/en/help/developers/api-getting-started/).

| Method | What it does |
|---|---|
| [`POST /org2/paymentToSupplier/api-readList`](#api-read-list) | A request to view a list of supplier payments |
| [`POST /org2/paymentToSupplier/api-read`](#api-read) | A request to obtain detailed information for a particular supplier payment document |
| [`POST /org2/paymentToSupplier/api-create`](#api-create) | A request to create a new supplier payment document |
| [`POST /org2/paymentToSupplier/api-update`](#api-update) | A request to update an existing supplier payment document |
| [`POST /org2/paymentToSupplier/api-cancel`](#api-cancel) | Cancel a supplier payment document |

## api-readList

`POST /org2/paymentToSupplier/api-readList`

A request to view a list of supplier payments

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `pagination` | object | yes |  |
| `pagination.offset` | number | yes | Begin from {offset} elements |
| `pagination.count` | number | yes | Limit of paginated elemets |
| `periodable` | object[] |  | Period range [from, to] (UTC ISO strings) |
| `organizations` | string (uuid)[] |  | A unique identifier for the Organization, obtainable from the /organization/api-readList request |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `[].uuid` | string (uuid) | A unique uuid key for a supplier payment document |
| `[].number` | string | The document's number. Use this field if you need to specify a custom number |
| `[].currency` | string (uuid) \| null |  |
| `[].date` | string | The document's date in the format 'YYYY-MM-DDTHH:MM:SS' (e.g., '2025-05-16T09:17:49') |
| `[].comment` | string | An optional text field for any additional notes or comments related to the document |
| `[].name` | string |  |
| `[].counterparty` | string (uuid) \| null |  |
| `[].author` | string (uuid) \| null |  |
| `[].organization` | string (uuid) \| null |  |
| `[].status` | string (uuid) \| null |  |
| `[].documentSum` | number | Total amount of the document |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/paymentToSupplier/api-readList' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":10}}'
```

## api-read

`POST /org2/paymentToSupplier/api-read`

A request to obtain detailed information for a particular supplier payment document

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `uuid` | string (uuid) | yes | A unique uuid key for the supplier payment document |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `uuid` | string (uuid) | A unique uuid key for a supplier payment document |
| `number` | string | The document's number. Use this field if you need to specify a custom number |
| `currency` | string (uuid) \| null |  |
| `date` | string | The document's date in the format 'YYYY-MM-DDTHH:MM:SS' (e.g., '2025-05-16T09:17:49') |
| `comment` | string | An optional text field for any additional notes or comments related to the document |
| `name` | string |  |
| `counterparty` | string (uuid) \| null |  |
| `author` | string (uuid) \| null |  |
| `organization` | string (uuid) \| null |  |
| `status` | string (uuid) \| null |  |
| `documentSum` | number | Total amount of the document |
| `paymentEntity` | string (uuid) | The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request |
| `responsible` | string (uuid) \| null |  |
| `commission` | number | The amount of the commission |
| `sum` | number | The amount of the document |
| `remainder` | number | Aggregate Balance |
| `exchangeRateDifference` | number | Amount of Foreign Exchange Difference |
| `paymentDetails` | object[] |  |
| `paymentDetails[].contract` | string (uuid) | The unique identifier for the counterparty's contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request |
| `paymentDetails[].invoiceForSupplierPayment` | string (uuid) | A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForSupplierPayment/api-readList request |
| `paymentDetails[].currency` | string (uuid) | A unique uuid key for a currency |
| `paymentDetails[].calculationRate` | number | Cross Course |
| `paymentDetails[].payed` | number | Payment amount |
| `paymentDetails[].payedInContractCurrency` | number | Settlement amount in contract currency |
| `paymentDetails[].debt` | number | The current debt |
| `paymentDetails[].exchangeRateDifference` | number | Amount of Foreign Exchange Difference |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/paymentToSupplier/api-read' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
```

## api-create

`POST /org2/paymentToSupplier/api-create`

A request to create a new supplier payment document

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `counterparty` | string (uuid) | yes | A unique uuid key for a supplier |
| `currency` | string (uuid) | yes | A unique uuid key for a currency |
| `date` | string |  | The document's date in the format 'YYYY-MM-DDTHH:MM:SS' (e.g., '2025-05-16T09:17:49') |
| `number` | string |  | The document's number. Use this field if you need to specify a custom number |
| `comment` | string |  | An optional text field for any additional notes or comments related to the document |
| `responsible` | string (uuid) \| null |  |  |
| `author` | string (uuid) \| null |  |  |
| `organization` | string (uuid) \| null |  |  |
| `status` | string (uuid) \| null |  |  |
| `paymentEntity` | string (uuid) |  | The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request |
| `commission` | number |  | The amount of the commission |
| `paymentDetails` | object[] |  |  |
| `paymentDetails[].invoiceForSupplierPayment` | string (uuid) | yes | A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForSupplierPayment/api-readList request |
| `paymentDetails[].payed` | number | yes | Payment amount |
| `paymentDetails[].calculationRate` | number |  | Cross Course |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `uuid` | string (uuid) | A unique uuid key for a supplier payment document |
| `number` | string | The document's number. Use this field if you need to specify a custom number |
| `currency` | string (uuid) \| null |  |
| `date` | string | The document's date in the format 'YYYY-MM-DDTHH:MM:SS' (e.g., '2025-05-16T09:17:49') |
| `comment` | string | An optional text field for any additional notes or comments related to the document |
| `name` | string |  |
| `counterparty` | string (uuid) \| null |  |
| `author` | string (uuid) \| null |  |
| `organization` | string (uuid) \| null |  |
| `status` | string (uuid) \| null |  |
| `documentSum` | number | Total amount of the document |
| `paymentEntity` | string (uuid) | The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request |
| `responsible` | string (uuid) \| null |  |
| `commission` | number | The amount of the commission |
| `sum` | number | The amount of the document |
| `remainder` | number | Aggregate Balance |
| `exchangeRateDifference` | number | Amount of Foreign Exchange Difference |
| `paymentDetails` | object[] |  |
| `paymentDetails[].contract` | string (uuid) | The unique identifier for the counterparty's contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request |
| `paymentDetails[].invoiceForSupplierPayment` | string (uuid) | A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForSupplierPayment/api-readList request |
| `paymentDetails[].currency` | string (uuid) | A unique uuid key for a currency |
| `paymentDetails[].calculationRate` | number | Cross Course |
| `paymentDetails[].payed` | number | Payment amount |
| `paymentDetails[].payedInContractCurrency` | number | Settlement amount in contract currency |
| `paymentDetails[].debt` | number | The current debt |
| `paymentDetails[].exchangeRateDifference` | number | Amount of Foreign Exchange Difference |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/paymentToSupplier/api-create' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"counterparty":"00000000-0000-0000-0000-000000000000","currency":"00000000-0000-0000-0000-000000000000"}'
```

## api-update

`POST /org2/paymentToSupplier/api-update`

A request to update an existing supplier payment document

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `uuid` | string (uuid) | yes | A unique uuid key for a supplier payment document |
| `number` | string |  | The document's number. Use this field if you need to specify a custom number |
| `comment` | string |  | An optional text field for any additional notes or comments related to the document |
| `responsible` | string (uuid) \| null |  |  |
| `author` | string (uuid) \| null |  |  |
| `status` | string (uuid) \| null |  |  |
| `paymentEntity` | string (uuid) |  | The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request |
| `commission` | number |  | The amount of the commission |
| `currency` | string (uuid) \| null |  |  |
| `date` | string |  | The document's date in the format 'YYYY-MM-DDTHH:MM:SS' (e.g., '2025-05-16T09:17:49') |
| `paymentDetails` | object[] |  |  |
| `paymentDetails[].invoiceForSupplierPayment` | string (uuid) | yes | A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForSupplierPayment/api-readList request |
| `paymentDetails[].payed` | number | yes | Payment amount |
| `paymentDetails[].calculationRate` | number |  | Cross Course |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `uuid` | string (uuid) | A unique uuid key for a supplier payment document |
| `number` | string | The document's number. Use this field if you need to specify a custom number |
| `currency` | string (uuid) \| null |  |
| `date` | string | The document's date in the format 'YYYY-MM-DDTHH:MM:SS' (e.g., '2025-05-16T09:17:49') |
| `comment` | string | An optional text field for any additional notes or comments related to the document |
| `name` | string |  |
| `counterparty` | string (uuid) \| null |  |
| `author` | string (uuid) \| null |  |
| `organization` | string (uuid) \| null |  |
| `status` | string (uuid) \| null |  |
| `documentSum` | number | Total amount of the document |
| `paymentEntity` | string (uuid) | The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request |
| `responsible` | string (uuid) \| null |  |
| `commission` | number | The amount of the commission |
| `sum` | number | The amount of the document |
| `remainder` | number | Aggregate Balance |
| `exchangeRateDifference` | number | Amount of Foreign Exchange Difference |
| `paymentDetails` | object[] |  |
| `paymentDetails[].contract` | string (uuid) | The unique identifier for the counterparty's contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request |
| `paymentDetails[].invoiceForSupplierPayment` | string (uuid) | A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForSupplierPayment/api-readList request |
| `paymentDetails[].currency` | string (uuid) | A unique uuid key for a currency |
| `paymentDetails[].calculationRate` | number | Cross Course |
| `paymentDetails[].payed` | number | Payment amount |
| `paymentDetails[].payedInContractCurrency` | number | Settlement amount in contract currency |
| `paymentDetails[].debt` | number | The current debt |
| `paymentDetails[].exchangeRateDifference` | number | Amount of Foreign Exchange Difference |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/paymentToSupplier/api-update' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
```

## api-cancel

`POST /org2/paymentToSupplier/api-cancel`

Cancel a supplier payment document

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `uuid` | string (uuid) | yes | A unique uuid key for the supplier payment document |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `success` | boolean (true) |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/paymentToSupplier/api-cancel' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
```

Interactive documentation with a test request option: [https://app.bimpsoft.com/docs](https://app.bimpsoft.com/docs). The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.
